Bug 346351 - Update perl-Frontier-RPC and move to tools channel.
Update perl-Frontier-RPC and move to tools channel.
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
Depends On:
Blocks: 462714
  Show dependency treegraph
Reported: 2007-10-23 03:46 EDT by Miroslav Suchý
Modified: 2011-09-16 09:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-09-16 09:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2007-10-23 03:46:27 EDT
Description of problem:
New version of perl-Frontier-RPC is available from upstream:

I also find one security problem:

Version-Release number of selected component (if applicable):
Comment 1 Miroslav Suchý 2007-10-23 03:49:18 EDT
And I think we should move it to rhn-tools channel so client can use it on any
machine. Now it is available only on satellite channel. But API script can be
run on any machine.

Clifford Perry wrote:
> So negatives:
> - we ship it, we support it - does giving wider exposure to customers 
> hinder us? (doubt full - package is well established)
> - Customers may use it for non RHN API related perl coding, hit issues 
> we did not previously know off
> - Security holes in package? (need to check upstream)
> Positives:
> - Non-Satellite customers using Hosted API will now have the perl code 
> freely available to them in tools channel.
> - convenience for customers who wish to use perl based client API 
> scripts for Hosted and Satellite, not to have to dig for the package.
> - why not? (see negatives, are we missing a negative)
Comment 2 Miroslav Suchý 2007-11-06 12:19:16 EST
I downloaded new version and given security patch. Modified SPEC,
Commited changes to trunk (rev. 133535).
Comment 3 Miroslav Suchý 2007-11-08 13:15:29 EST
I done two additonal things
- move to apache2 modules
- apart from perl-Frontier-RPC, which contain Daemon, XMLRPC ..., I created
package perl-Frontier-RPC-Client, which will go to tools channel.
rev. 133630
Comment 4 Miroslav Suchý 2007-11-12 05:20:14 EST
perl-Frontier-RPC-Client did not landed in either rhn-tools nor satellite channel. 
Comment 5 Clifford Perry 2007-11-15 22:12:51 EST
Mirek - need help to ensure the package hits the channels?

For new package to get into a channel we have to promote the package into the
right collections. 

Release Engineering then picks it up from there... they will want for Satellite
- to have the package added into the cvs/rhn/satellite/MANIFEST file. 

for Tools - I do not know, as I have not done this before. I am adding Brandon
and Prad to CC, they should either be able to point to the right place for
tools, or do it for us (letting know what file they touched)... 

shows that we use the scripts:

to do the population of tools content. 

So, looks like we statically list the package names we wish to push, for things
such as rhn-virtualization-common - so yeah.. lets flag prad/brandon to do this
change for us. 


Comment 6 Miroslav Suchý 2007-11-26 07:45:20 EST
I added package to manifest:
/cvs/rhn/rhn/satellite/MANIFEST-4AS,v  <--  MANIFEST-4AS
new revision: 1.73; previous revision: 1.72

Comment 7 Miroslav Suchý 2007-12-14 07:25:53 EST
From release team:
A general feeling was to try and see if we could get this into the RHEL release,
either Extras channel or main distro along with the other perl modules.

Basic argument, nearly all our tools expose and use XML-RPC for API, bugzilla,
RHN, Issue Tracker, and more no doubt, yet, with perl, we do not ship/provide a
way to communicate with them within OS. We get multiple requests from
customers/users of RHN Hosted and Satellite XML-RPC API to justify looking to
supply beyond just Satellite channels.

A minor negative about maybe adding to the RHN Tools channel, is that all
content currently in Tools is RHN/Satellite owned/coded stuff, no 3rd party code
packages within the channel.

So, going to poke RHEL PM, and see what we get back.
Comment 8 Clifford Perry 2008-10-01 11:04:02 EDT
Mirek - what is status of getting this package into EPEL or Fedora? 

Since once we can get into say EPEL/Fedora land, have a better chance of getting into RHEL 6. 

Right now, putting package into RHN Tools is not an ideal solution to this, as everything else in Tools is purely our own code packages and not code from other sources (such as cpan). 

Comment 10 Miroslav Suchý 2008-10-01 11:23:25 EDT
Ops, I meant:
And I requested to include it in RHEL5.4.
Comment 11 Brandon Perkins 2008-10-08 11:12:40 EDT
Pushing this to sat600 as RHEL 6 and RHEL 5.4 are after Sat 5.3.0.
Comment 12 Miroslav Suchý 2011-09-16 09:58:36 EDT
perl-Frontier-RPC is in RHEL since RHEL6, so it does not have sense to persued this BZ.

Note You need to log in before you can comment on or make changes to this bug.